Package org.eclipse.cdt.utils.coff

# Class Coff64

java.lang.Object
org.eclipse.cdt.utils.coff.Coff64

public class Coff64 extends Object

Since:
  6.9

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`Coff64.FileHeader`
`static class`
`Coff64.Lineno`
`static class`
`Coff64.OptionalHeader`
`static class`
`Coff64.Reloc`
`static class`
`Coff64.SectionHeader`
`static class`
`Coff64.Symbol`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`NL`

## Constructor Summary

Constructors
Constructor
Description
`Coff64(RandomAccessFile file, long offset)`
`Coff64(String filename)`

## Method Summary

Modifier and Type
Method
Description
`Coff64.FileHeader`
`getFileHeader()`
`Coff64.OptionalHeader`
`getOptionalHeader()`
`Coff64.SectionHeader[]`
`getSectionHeaders()`
`byte[]`
`getStringTable()`
`static String[]`
`getStringTable(byte[] bytes)`
`Coff64.Symbol[]`
`getSymbols()`
`static void`
`main(String[] args)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### NL

public static final String NL

## Constructor Details

### Coff64

public Coff64(String filename) throws IOException

Throws:
  `IOException`

### Coff64

public Coff64(RandomAccessFile file, long offset) throws IOException

Throws:
  `IOException`

## Method Details

### getFileHeader

public Coff64.FileHeader getFileHeader() throws IOException

Throws:
  `IOException`

### getOptionalHeader

public Coff64.OptionalHeader getOptionalHeader() throws IOException

Throws:
  `IOException`

### getSectionHeaders

public Coff64.SectionHeader[] getSectionHeaders() throws IOException

Throws:
  `IOException`

### getSymbols

public Coff64.Symbol[] getSymbols() throws IOException

Throws:
  `IOException`

### getStringTable

public byte[] getStringTable() throws IOException

Throws:
  `IOException`

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### getStringTable

public static String[] getStringTable(byte[] bytes)

### main

public static void main(String[] args)